Bug 1128640 - Version Properties didn't match EAP version properties
Summary: Version Properties didn't match EAP version properties
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR3
: 6.1.0
Assignee: Ryan Zhang
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks: 1128609
TreeView+ depends on / blocked
 
Reported: 2014-08-11 09:24 UTC by Ryan Zhang
Modified: 2019-01-01 02:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Ryan Zhang 2014-08-11 09:24:30 UTC
Description of problem:
I came across that the following two version properties mis-match the definition defined in EAP 6.3.0.GA.
In Community BOM:
<version.org.jboss.spec.javax.servlet.jstl>1.0.5.Final</version.org.jboss.spec.javax.servlet.jstl>
<version.org.jboss.spec.javax.servlet.3.0>1.0.2.Final</version.org.jboss.spec.javax.servlet.3.0>

In EAP:
<version.org.jboss.spec.javax.servlet.jstl.jboss-jstl-api_1.2_spec>1.0.6.Final-redhat-1</version.org.jboss.spec.javax.servlet.jstl.jboss-jstl-api_1.2_spec>
<version.org.jboss.spec.javax.servlet.jboss-servlet-api_3.0_spec>1.0.2.Final-redhat-1</version.org.jboss.spec.javax.servlet.jboss-servlet-api_3.0_spec>

This cause the difficult to align the version to redhat versions during productization.
Please update :
version.org.jboss.spec.javax.servlet.jstl  ->
version.org.jboss.spec.javax.servlet.jstl.jboss-jstl-api_1.2_spec
(also 1.0.5.Final needs to upgrade to 1.0.6.Final)

version.org.jboss.spec.javax.servlet.3.0 ->
version.org.jboss.spec.javax.servlet.jboss-servlet-api_3.0_spec



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Ryan Zhang 2014-08-11 09:32:45 UTC
Add more misalignment:


In community BOM:    <version.org.jboss.spec.javax.servlet.jsp.2.2>1.0.1.Final</version.org.jboss.spec.javax.servlet.jsp.2.2>

In EAP 6.3.0
<version.org.jboss.spec.javax.servlet.jsp.jboss-jsp-api_2.2_spec>1.0.1.Final-redhat-2</version.org.jboss.spec.javax.servlet.jsp.jboss-jsp-api_2.2_spec>

So please update version.org.jboss.spec.javax.servlet.jsp.2.2 ->
version.org.jboss.spec.javax.servlet.jsp.jboss-jsp-api_2.2_spec

The EAP 6.3.0.GA versions definition can be found in
http://download.eng.bos.redhat.com/brewroot/repos/jb-ip-6.1-build/latest/maven/org/jboss/as/jboss-as-parent/7.4.0.Final-redhat-19/jboss-as-parent-7.4.0.Final-redhat-19.pom

Comment 5 Ryan Zhang 2014-08-11 10:22:51 UTC
More missalignment:
Community BOM:
<version.org.jboss.spec.javax.resource.connector-api.1.6>1.0.1.Final</version.org.jboss.spec.javax.resource.connector-api.1.6>
<version.org.jboss.spec.javax.security.jacc>1.0.3.Final</version.org.jboss.spec.javax.security.jacc>
<version.org.jboss.spec.javax.ejb.3.1>1.0.2.Final</version.org.jboss.spec.javax.ejb.3.1>
<version.org.jboss.spec.javax.el.2.2>1.0.4.Final</version.org.jboss.spec.javax.el.2.2>
<version.javax.inject>1</version.javax.inject>
<version.javax.annotation>1.0</version.javax.annotation>
<version.javax.enterprise.cdi>1.0-SP4</version.javax.enterprise.cdi>
<version.javax.jms>1.1</version.javax.jms>
<version.javax.transaction>1.1</version.javax.transaction>
<version.javax.ws.rs>1.1.1</version.javax.ws.rs>
<version.javax.xml.stream.stax>1.0-2</version.javax.xml.stream.stax> (Noticed that this was excluded by EAP)
<version.org.jboss.logging>3.1.4.GA</version.org.jboss.logging>
<version.org.jboss.marshalling>1.4.5.Final</version.org.jboss.marshalling>

 <dependency>
        <groupId>javax.annotation</groupId>
        <artifactId>jsr250-api</artifactId>
        <version>${version.javax.annotation}</version>
      </dependency>


EAP:
<version.org.jboss.spec.javax.resource.jboss-connector-api_1.6_spec>1.0.1.Final-redhat-2</version.org.jboss.spec.javax.resource.jboss-connector-api_1.6_spec>
<version.org.jboss.spec.javax.security.jacc.jboss-jacc-api_1.4_spec>1.0.3.Final-redhat-1</version.org.jboss.spec.javax.security.jacc.jboss-jacc-api_1.4_spec>
<version.org.jboss.spec.javax.ejb.jboss-ejb-api_3.1_spec>1.0.2.Final-redhat-2</version.org.jboss.spec.javax.ejb.jboss-ejb-api_3.1_spec>
<version.org.jboss.spec.javax.el.jboss-el-api_2.2_spec>1.0.4.Final-redhat-1</version.org.jboss.spec.javax.el.jboss-el-api_2.2_spec>
<version.javax.inject.javax.inject>1.redhat-4</version.javax.inject.javax.inject>
version.org.jboss.spec.javax.annotation.jboss-annotations-api_1.1_spec
<version.javax.enterprise>1.0-SP4-redhat-4</version.javax.enterprise>
<version.org.jboss.spec.javax.jms.jboss-jms-api_1.1_spec>1.0.1.Final-redhat-2</version.org.jboss.spec.javax.jms.jboss-jms-api_1.1_spec>
<version.org.jboss.spec.javax.transaction.jboss-transaction-api_1.1_spec>1.0.1.Final-redhat-2</version.org.jboss.spec.javax.transaction.jboss-transaction-api_1.1_spec>
<version.org.jboss.spec.javax.ws.rs.jboss-jaxrs-api_1.1_spec>1.0.1.Final-redhat-2</version.org.jboss.spec.javax.ws.rs.jboss-jaxrs-api_1.1_spec>
<version.org.codehaus.woodstox.stax2-api>3.1.3.redhat-1</version.org.codehaus.woodstox.stax2-api>
<version.org.jboss.logging.jboss-logging>3.1.4.GA-redhat-1</version.org.jboss.logging.jboss-logging>
<version.org.jboss.marshalling.jboss-marshalling>1.4.6.Final-redhat-1</version.org.jboss.marshalling.jboss-marshalling>


<dependency>
<groupId>org.jboss.spec.javax.annotation</groupId>
<artifactId>jboss-annotations-api_1.1_spec</artifactId>
<version>
${version.org.jboss.spec.javax.annotation.jboss-annotations-api_1.1_spec}
</version>
</dependency>

Comment 7 Shelly McGowan 2014-08-13 04:21:58 UTC
@Ryan, can you review this commit and comment if there are other changes needed:
https://github.com/smcgowan/jboss-integration-platform-bom/commit/e13b2756939b64905cd7696bc2b1a6cbf10652a3

Comment 10 Petr Široký 2014-10-07 14:12:49 UTC
Looking at the current ip-parent in community, all the version updates seems to be there.

Since Ryan moved the BZ to ON_QA, I am assuming all the necessary changes made it in to the ip-parent/ip-bom and thus this issue can be closed.


Note You need to log in before you can comment on or make changes to this bug.